<?php

namespace Fazed\NyaaRssParser\HttpClient;

use Fazed\NyaaRssParser\Contracts\Models\EntryContract;
use Fazed\NyaaRssParser\Contracts\HttpClient\ResponseContract;

class Response implements ResponseContract
{
    /**
     * @var EntryContract[]
     */
    private $entries;

    /**
     * Response constructor.
     *
     * @param EntryContract[] $entries
     */
    public function __construct($entries = [])
    {
        $this->entries = $entries;
    }

    /**
     * {@inheritdoc}
     */
    public function getEntries()
    {
        return $this->entries;
    }

    /**
     * {@inheritdoc}
     */
    public function setEntries($entries)
    {
        $this->entries = $entries;

        return $this;
    }

    /**
     * {@inheritdoc}
     */
    public function getEntryCount()
    {
        return \count($this->entries);
    }
}
