<?php

namespace Fazed\NyaaRssParser;

use Illuminate\Support\ServiceProvider;

class NyaaRssParserProvider extends ServiceProvider
{
    /**
     * Perform post-registration booting of services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes([
            __DIR__ . '/../resources/config/nyaa-rss-parser.php' => config_path('nyaa-rss-parser.php'),
        ], 'config');
    }

    /**
     * Register bindings in the container.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(
            'Fazed\NyaaRssParser\Contracts\NyaaRssParserContract',
            'Fazed\NyaaRssParser\NyaaRssParser'
        );

        $this->app->singleton(
            'Fazed\NyaaRssParser\Contracts\HttpClient\ClientContract',
            'Fazed\NyaaRssParser\HttpClient\Client'
        );

        $this->app->singleton(
            'Fazed\NyaaRssParser\Contracts\Factories\ResponseFactoryContract',
            'Fazed\NyaaRssParser\Factories\ResponseFactory'
        );

        $this->app->singleton(
            'Fazed\NyaaRssParser\Contracts\Factories\EntryModelFactoryContract',
            'Fazed\NyaaRssParser\Factories\EntryModelFactory'
        );

        $this->app->bind(
            'Fazed\NyaaRssParser\Contracts\HttpClient\ResponseContract',
            'Fazed\NyaaRssParser\HttpClient\Response'
        );

        $this->app->bind(
            'Fazed\NyaaRssParser\Contracts\Models\EntryContract',
            'Fazed\NyaaRssParser\Models\Entry'
        );
    }
}
