<?php

if ( ! function_exists('nyaaRssParser')) {
    /**
     * Get the RSS parser from the container.
     *
     * @return \Fazed\NyaaRssParser\Contracts\NyaaRssParserContract
     */
    function nyaaRssParser()
    {
        return app(\Fazed\NyaaRssParser\Contracts\NyaaRssParserContract::class);
    }
}

if ( ! function_exists('nyaaRssParserGetEntries')) {
    /**
     * Get entries from the RSS feed.
     *
     * @param  null|string $category
     * @param  null|string $filter
     * @param  array       $parameters
     * @return \Fazed\NyaaRssParser\Contracts\Models\EntryContract[]
     */
    function nyaaRssParserGetEntries($category = null, $filter = null, array $parameters = [])
    {
        return app(\Fazed\NyaaRssParser\Contracts\NyaaRssParserContract::class)
            ->getRssFeed($category, $filter, $parameters)
            ->getEntries();
    }
}
