<?php

namespace Fazed\NyaaRssParser\Test;

use Fazed\NyaaRssParser\Enums\NyaaFilters;
use Fazed\NyaaRssParser\Enums\NyaaCategories;
use Fazed\NyaaRssParser\Contracts\HttpClient\ClientContract;
use Fazed\NyaaRssParser\Contracts\HttpClient\ResponseContract;

final class HttpClientTest extends TestCase
{
    /**
     * @var ClientContract
     */
    private $httpClient;

    /**
     * {@inheritdoc}
     */
    public function setUp()
    {
        parent::setUp();
        $this->httpClient = app(ClientContract::class);
    }

    /** @test */
    public function it_can_resolve_feed()
    {
        /** @var ResponseContract $response */
        $response = $this->httpClient->dispatchRequest();

        $this->assertGreaterThan(0, $response->getEntryCount());
    }

    /** @test */
    public function it_can_resolve_feed_with_query()
    {
        /** @var ResponseContract $response */
        $response = $this->httpClient->dispatchRequest([
            'c' => NyaaCategories::ANIME_ENGLISH,
            'f' => NyaaFilters::TRUSTED_ONLY,
        ]);

        $this->assertGreaterThan(0, $response->getEntryCount());
    }
}
